BOARD
ID = "CPQFD13"
NAME = "COMPAQ 15MHz ESDI Fixed Disk Controller 001283"
MFR = "COMPAQ"
CATEGORY = "MSD"
SLOT = ISA16
LENGTH = 236
AMPERAGE=2000
VERSION=1.27
REV=1

SWITCH(1) = 4
STYPE = DIP
NAME = "SW500"
COMMENTS = "
\n     Switch Positions:
\n          1   -  0 = Primary Address
\n                 1 = Secondary Address
\n          3,2 - 00 = IRQ15
\n                01 = IRQ14
\n                10 = IRQ12
\n                11 = IRQ11
\n          4   -  0 = Reserved"
FACTORY = LOC(4-1) 0110
VERTICAL = NO
REVERSE = NO
INITVAL = LOC(4) 0 ; Make position 4 reserved and unchangeable

FUNCTION = "Fixed Disk Address Selection"
TYPE = "MSD,DSKCTL"
RESOURCE = "ADDRESS", COMMON, LOCAL
 
CHOICE = "Primary Disk Drive Address"
SUBTYPE = "CTL1"
FREE
MEMBER = "ADDRESS", "PRIMARY"
link
PORT = 01F0h-01F7h
INIT = SWITCH(1) LOC(1) 0
link
IRQ = 14
INIT = SWITCH(1) LOC(3 2) 01
CHOICE = "Secondary Disk Drive Address"
SUBTYPE = "CTL2"
FREE
MEMBER = "ADDRESS", "SECONDARY"
link
PORT = 0170h-0177h
INIT = SWITCH(1) LOC(1) 1
link
IRQ = 15 | 14 | 12 | 11
INIT = SWITCH(1) LOC(3 2) 00 | 01 | 10 | 11

FUNCTION = "Controller Order"
TYPE = "MSD,DSKCTL;CTLID"
HELP = "When adding a controller to a configured system, you can 
either place it at the end of the controller order or 
re-order the controllers.  Re-ordering changes 
the current drive letter assignments for all 
drives on the system.  
To avoid changing the drive letter assignments when you 
add a controller to a configured system, place it at 
the end of the controller order and DO NOT CREATE A 
PRIMARY PARTITION on any of the added disks."
RESOURCE = "CNTRORD",UNIQUE
CHOICE = "First"
FREE
MEMBER = "CNTRORD","1"
SHARE = NO
MEMBER = "ADDRESS", "PRIMARY"
CHOICE = "Second"
FREE
MEMBER = "CNTRORD","2"
SHARE = NO
MEMBER = "ADDRESS", "SECONDARY"


